/[gentoo-x86]/www-apps/moodle/ChangeLog
Gentoo

Contents of /www-apps/moodle/ChangeLog

Parent Directory Parent Directory | Revision Log Revision Log


Revision 1.29 - (show annotations) (download)
Fri Aug 24 10:22:46 2012 UTC (2 years ago) by blueness
Branch: MAIN
Changes since 1.28: +6 -1 lines
Use REQUIRED_USE so at least one backend db is provided, bug #432354

(Portage version: 2.1.11.9/cvs/Linux x86_64)

1 # ChangeLog for www-apps/moodle
2 # Copyright 1999-2012 Gentoo Foundation; Distributed under the GPL v2
3 # $Header: /var/cvsroot/gentoo-x86/www-apps/moodle/ChangeLog,v 1.28 2012/07/11 23:00:12 blueness Exp $
4
5 24 Aug 2012; Anthony G. Basile <blueness@gentoo.org> moodle-1.9.19.ebuild,
6 moodle-2.0.10.ebuild, moodle-2.1.7.ebuild, moodle-2.2.4.ebuild,
7 moodle-2.3.1.ebuild:
8 Use REQUIRED_USE so at least one backend db is provided, bug #432354
9
10 11 Jul 2012; Anthony G. Basile <blueness@gentoo.org> moodle-1.9.19.ebuild,
11 moodle-2.0.10.ebuild, moodle-2.1.7.ebuild, moodle-2.2.4.ebuild,
12 moodle-2.3.1.ebuild:
13 Keyword ~mips
14
15 11 Jul 2012; Anthony G. Basile <blueness@gentoo.org> -moodle-1.9.18.ebuild,
16 -moodle-2.0.9.ebuild, -moodle-2.1.6.ebuild, -moodle-2.2.3.ebuild,
17 -moodle-2.3.ebuild:
18 Punt older versions
19
20 *moodle-2.3.1 (06 Jul 2012)
21 *moodle-2.2.4 (06 Jul 2012)
22 *moodle-2.1.7 (06 Jul 2012)
23 *moodle-2.0.10 (06 Jul 2012)
24 *moodle-1.9.19 (06 Jul 2012)
25
26 06 Jul 2012; Anthony G. Basile <blueness@gentoo.org> +moodle-1.9.19.ebuild,
27 +moodle-2.0.10.ebuild, +moodle-2.1.7.ebuild, +moodle-2.2.4.ebuild,
28 +moodle-2.3.1.ebuild:
29 Version bump
30
31 *moodle-2.3 (26 Jun 2012)
32
33 26 Jun 2012; Anthony G. Basile <blueness@gentoo.org> +moodle-2.3.ebuild:
34 Version bump
35
36 23 May 2012; Anthony G. Basile <blueness@gentoo.org> -moodle-1.9.17.ebuild,
37 -moodle-2.0.8.ebuild, -moodle-2.1.5.ebuild, -moodle-2.2.2.ebuild:
38 Punt vulnerable versions, bug #417217
39
40 *moodle-2.2.3 (16 May 2012)
41 *moodle-2.1.6 (16 May 2012)
42 *moodle-2.0.9 (16 May 2012)
43 *moodle-1.9.18 (16 May 2012)
44
45 16 May 2012; Anthony G. Basile <blueness@gentoo.org> +moodle-1.9.18.ebuild,
46 +moodle-2.0.9.ebuild, +moodle-2.1.6.ebuild, +moodle-2.2.3.ebuild:
47 Version bump all branches
48
49 04 Apr 2012; Anthony G. Basile <blueness@gentoo.org>
50 -moodle-1.9.16-r1.ebuild, -moodle-2.0.7-r1.ebuild, -moodle-2.1.4-r1.ebuild,
51 -moodle-2.2.1-r1.ebuild:
52 Remove older vulnerable versions
53
54 *moodle-2.2.2 (12 Mar 2012)
55 *moodle-2.1.5 (12 Mar 2012)
56 *moodle-2.0.8 (12 Mar 2012)
57 *moodle-1.9.17 (12 Mar 2012)
58
59 12 Mar 2012; Anthony G. Basile <blueness@gentoo.org> +moodle-1.9.17.ebuild,
60 +moodle-2.0.8.ebuild, +moodle-2.1.5.ebuild, +moodle-2.2.2.ebuild:
61 Version bumps
62
63 07 Mar 2012; Anthony G. Basile <blueness@gentoo.org> -moodle-1.9.16.ebuild,
64 moodle-1.9.16-r1.ebuild, -moodle-2.0.7.ebuild, moodle-2.0.7-r1.ebuild,
65 -moodle-2.1.4.ebuild, moodle-2.1.4-r1.ebuild, -moodle-2.2.1.ebuild,
66 moodle-2.2.1-r1.ebuild:
67 Remove older versions depending on php with gd-external
68
69 *moodle-2.2.1-r1 (29 Jan 2012)
70 *moodle-2.1.4-r1 (29 Jan 2012)
71 *moodle-2.0.7-r1 (29 Jan 2012)
72 *moodle-1.9.16-r1 (29 Jan 2012)
73
74 29 Jan 2012; Anthony G. Basile <blueness@gentoo.org>
75 +moodle-1.9.16-r1.ebuild, +moodle-2.0.7-r1.ebuild, +moodle-2.1.4-r1.ebuild,
76 +moodle-2.2.1-r1.ebuild:
77 Remove gd-external, fix depend on >=php5.3* for moodle 2.1* and 2.2*,
78 add session to PHP_REQUIRED_FLAGS_*, bug #400853
79
80 14 Jan 2012; Anthony G. Basile <blueness@gentoo.org> -moodle-1.9.15.ebuild,
81 -moodle-2.0.6.ebuild, -moodle-2.1.3.ebuild:
82 Removed vulnerable versions
83
84 *moodle-2.2.1 (08 Jan 2012)
85
86 08 Jan 2012; Anthony G. Basile <blueness@gentoo.org> +moodle-2.2.1.ebuild:
87 Added ebuild for the 2.2 branch
88
89 *moodle-2.1.4 (08 Jan 2012)
90 *moodle-2.0.7 (08 Jan 2012)
91 *moodle-1.9.16 (08 Jan 2012)
92
93 08 Jan 2012; Anthony G. Basile <blueness@gentoo.org> +moodle-1.9.16.ebuild,
94 +moodle-2.0.7.ebuild, +moodle-2.1.4.ebuild:
95 Version bumps
96
97 07 Dec 2011; Anthony G. Basile <blueness@gentoo.org> -moodle-1.9.14.ebuild,
98 -moodle-2.0.5.ebuild, -moodle-2.1.2.ebuild:
99 Removed vulnerable versions, bug #393475
100
101 *moodle-2.1.3 (29 Nov 2011)
102 *moodle-2.0.6 (29 Nov 2011)
103 *moodle-1.9.15 (29 Nov 2011)
104
105 29 Nov 2011; Anthony G. Basile <blueness@gentoo.org> +moodle-1.9.15.ebuild,
106 +moodle-2.0.6.ebuild, +moodle-2.1.3.ebuild:
107 Version bumps
108
109 19 Oct 2011; Anthony G. Basile <blueness@gentoo.org> -moodle-1.9.13.ebuild,
110 -moodle-2.0.4.ebuild, -moodle-2.1.1.ebuild:
111 Remove deprecated versions
112
113 *moodle-2.1.2 (09 Oct 2011)
114 *moodle-2.0.5 (09 Oct 2011)
115 *moodle-1.9.14 (09 Oct 2011)
116
117 09 Oct 2011; Anthony G. Basile <blueness@gentoo.org> +moodle-1.9.14.ebuild,
118 +moodle-2.0.5.ebuild, +moodle-2.1.2.ebuild:
119 Version bumps
120
121 18 Aug 2011; Anthony G. Basile <blueness@gentoo.org> -moodle-1.9.12.ebuild,
122 -moodle-2.0.3.ebuild, -moodle-2.1.ebuild:
123 Removed decprecated versions
124
125 *moodle-2.1.1 (02 Aug 2011)
126 *moodle-2.0.4 (02 Aug 2011)
127 *moodle-1.9.13 (02 Aug 2011)
128
129 02 Aug 2011; Anthony G. Basile <blueness@gentoo.org> +moodle-1.9.13.ebuild,
130 +moodle-2.0.4.ebuild, +moodle-2.1.1.ebuild:
131 Version bumps
132
133 12 Jul 2011; Anthony G. Basile <blueness@gentoo.org> moodle-1.9.12.ebuild,
134 moodle-2.0.3.ebuild, moodle-2.1.ebuild:
135 Make moodle depend on either php[gd] or php[gd-external], bug #374605
136
137 *moodle-2.1 (09 Jul 2011)
138
139 09 Jul 2011; Anthony G. Basile <blueness@gentoo.org> -moodle-1.9.11.ebuild,
140 -moodle-2.0.2.ebuild, +moodle-2.1.ebuild:
141 Version bump, removed depcreated
142
143 *moodle-2.0.3 (11 May 2011)
144 *moodle-1.9.12 (11 May 2011)
145
146 11 May 2011; Anthony G. Basile <blueness@gentoo.org> +moodle-1.9.12.ebuild,
147 +moodle-2.0.3.ebuild:
148 Version bumps address several security issues.
149 See http://docs.moodle.org/en/Moodle_1.9.12_release_notes
150 and http://docs.moodle.org/en/Moodle_2.0.3_release_notes
151
152 10 Mar 2011; Anthony G. Basile <blueness@gentoo.org> -moodle-1.9.9.ebuild,
153 -moodle-1.9.9-r1.ebuild, -moodle-1.9.10.ebuild, -moodle-2.0.1.ebuild:
154 Removed decprecated versions, bug #353431
155
156 *moodle-2.0.2 (22 Feb 2011)
157 *moodle-1.9.11 (22 Feb 2011)
158
159 22 Feb 2011; Anthony G. Basile <blueness@gentoo.org>
160 +moodle-1.9.11.ebuild, +moodle-2.0.2.ebuild, files/postinstall-en.txt:
161 Version bumps.
162
163 *moodle-2.0.1 (08 Jan 2011)
164
165 08 Jan 2011; Anthony G. Basile <blueness@gentoo.org> +moodle-2.0.1.ebuild:
166 Version bump
167
168 *moodle-1.9.10 (29 Oct 2010)
169
170 29 Oct 2010; Anthony G. Basile <blueness@gentoo.org>
171 +moodle-1.9.10.ebuild:
172 Version bump
173
174 *moodle-1.9.9-r1 (13 Aug 2010)
175
176 13 Aug 2010; Anthony G. Basile <blueness@gentoo.org>
177 +moodle-1.9.9-r1.ebuild, files/postinstall-en.txt:
178 Ported to EAPI 2 USE deps. Bug #332165
179
180 *moodle-1.9.9 (19 Jul 2010)
181
182 19 Jul 2010; Anthony G. Basile <blueness@gentoo.org> +moodle-1.9.9.ebuild,
183 +files/config.php, +files/postinstall-en.txt,
184 +files/postinstall-nodb-en.txt, +metadata.xml:
185 New ebuild by Anthony G. Basile. Bug #104275

  ViewVC Help
Powered by ViewVC 1.1.20